/******************************************************************************
  @header BDBCursorConfig
  @availability OS X, GNUstep
  @copyright (C) 2004, 2005, 2006 Oliver Langer
 
  Author: Oliver Langer

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

  <pre>
 -------------------------------------------------------------------------
  Modification history

  02.01.2005 ola     initial version
  22.08.2006 ola     license changed
  -------------------------------------------------------------------------
  </pre>
******************************************************************************/

#include <BDB/BDBCursorConfig.h>


@implementation BDBCursorConfig

- init {
  self = [super init];
  self->flags = 0;
  
  return self;
}


- (BOOL) degree2 {
  return (self->flags & DB_DEGREE_2) == DB_DEGREE_2;
}
          

- (BOOL) dirtyRead {
  return (self->flags & DB_DIRTY_READ) == DB_DIRTY_READ;
}


- (BOOL) writeCursor {
  return (self->flags & DB_WRITECURSOR) == DB_WRITECURSOR;
}


- setDegree2: (BOOL) useDegree2 {
  if( useDegree2 ) {
    self->flags |= DB_DEGREE_2;
  } else {
    self->flags &= ~DB_DEGREE_2;
  }
  
  return self;
}


- setDirtyRead: (BOOL) useDirtyRead {
  if( useDirtyRead ) {
    self->flags |= DB_DIRTY_READ;
  } else {
    self->flags &= ~DB_DIRTY_READ;
  }
  
  return self;
}


- setWriteCursor: (BOOL) useWriteCursor {
  if( useWriteCursor ) {
    self->flags |=DB_WRITECURSOR;
  } else {
    self->flags &= ~DB_WRITECURSOR;
  }
  
  return self;
}


- (u_int32_t) flags {
  return self->flags;
}
@end
