/******************************************************************************
  @header BDBDatabaseEntryData
 
  @availability OS X, GNUstep
  @copyright (C) 2004, 2005, 2006 Oliver Langer
 
  Author: Oliver Langer

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

  <pre>
  -------------------------------------------------------------------------
  Modification history

  03.01.2005 ola     initial version
  22.08.2006 ola     license changed
  -------------------------------------------------------------------------
  </pre>
******************************************************************************/

#include <BDB/BDBDatabaseEntry.h>


@implementation BDBDatabaseEntryData

- init {
  self = [super init];
  self->data = nil;
  
  return self;
}


- initWithData: (NSData *) aDatum {
  self = [super init ];
  self->data = [ aDatum retain];
  
  return self;
}


- (NSData *) data {
  return self->data;
}


- (void) dealloc {
  [ self releaseData ];
  [ super dealloc ];
}


- releaseData {
  if( nil != self->data ) {
    [ self->data release ];
	
	self->data = nil;
  }
  return self;
}


- setData: (NSData *) aDatum {
  [ self releaseData ];
  self->data = [ aDatum retain ];
  
  return self;
}
@end
